<?php
/**
* @category Fishpig
* @package Fishpig_Wordpress
* @license http://fishpig.co.uk/license.txt
* @author Ben Tideswell <help@fishpig.co.uk>
*/
?>
<?php $posts = $this->getPosts() ?>
<?php if (count($posts) > 0): ?>
<div>
<ul id="<?php echo $this->getListId() ?>">
<?php foreach($posts as $post): ?>
<?php $post->setExcerptSize($this->getExcerptLength()) ?>
<li>
<?php if ($this->canDisplayExcerpt()): ?>
<a href="<?php echo $post->getPermalink() ?>" title="<?php echo $this->htmlEscape($post->getPostTitle()) ?>">
<p><?php $content = $post->getPostExcerpt(); $content = strip_tags($content); echo substr($content, 0, 250); ?> ...</p>
</a>
<?php endif; ?>
</li>
<?php endforeach; ?>
</ul>
<script type="text/javascript">decorateList('<?php echo $this->getListId() ?>')</script>
<?php if ($this->canShowPager()): ?>
<?php echo $this->getPagerHtml() ?>
<?php endif; ?>
</div>
<?php endif; ?>